Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Mechanism

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.Mechanism

All Implemented Interfaces:
  java.lang.Cloneable

public class Mechanism
extends java.lang.Object
implements java.lang.Cloneable

Objects of this class represent a mechansim as defined in PKCS#11. There are constants defined for all mechanisms that PKCS#11 version 2.11 defines.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`static Mechanism` | `AES_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC)`
`static Mechanism` | `AES_CBC_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC_ENCRYPT_DATA)`
`static Mechanism` | `AES_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC_PAD)`
`static Mechanism` | `AES_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_ECB)`
`static Mechanism` | `AES_ECB_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_ECB_ENCRYPT_DATA)`
`static Mechanism` | `AES_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_KEY_GEN)`
`static Mechanism` | `AES_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_MAC)`
`static Mechanism` | `AES_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_MAC_GENERAL)`
`static Mechanism` | `BATON_CBC128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_CBC128)`
`static Mechanism` | `BATON_COUNTER` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_COUNTER)`
`static Mechanism` | `BATON_ECB128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_ECB128)`
`static Mechanism` | `BATON_ECB96` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_ECB96)`
`static Mechanism` | `BATON_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_KEY_GEN)`
`static Mechanism` | `BATON_SHUFFLE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_SHUFFLE)`
`static Mechanism` | `BATON_WRAP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_WRAP)`
`static Mechanism` | `BLOWFISH_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BLOWFISH_CBC)`
`static Mechanism` | `BLOWFISH_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BLOWFISH_KEY_GEN)`
`static Mechanism` | `CAST_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_CBC)`
`static Mechanism` | `CAST_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_CBC_PAD)`
`static Mechanism` | `CAST_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_ECB)`
`static Mechanism` | `CAST_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_KEY_GEN)`
`static Mechanism` | `CAST_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_MAC)`
`static Mechanism` | `CAST_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_MAC_GENERAL)`
`static Mechanism` | `CAST128_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_CBC)`
`static Mechanism` | `CAST128_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_CBC_PAD)`
`static Mechanism` | `CAST128_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_ECB)`
`static Mechanism` | `CAST128_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_KEY_GEN)`
`static Mechanism` | `CAST128_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_MAC)`
`static Mechanism` | `CAST128_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_MAC_GENERAL)`
`static Mechanism` | `CAST3_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_CBC)`
`static Mechanism` | `CAST3_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_CBC_PAD)`
`static Mechanism` | `CAST3_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_ECB)`
`static Mechanism` | `CAST3_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_KEY_GEN)`
`static Mechanism` | `CAST3_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_MAC)`
`static Mechanism` | `CAST3_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_MAC_GENERAL)`
`static Mechanism` | `CAST5_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_CBC)`
`static Mechanism` | `CAST5_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_CBC_PAD)`
`static Mechanism` | `CAST5_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_ECB)`
`static Mechanism` | `CAST5_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_KEY_GEN)`
`static Mechanism` | `CAST5_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_MAC)`
`static Mechanism` | `CAST5_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_MAC_GENERAL)`
`static Mechanism` | `CDMF_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_CBC)`
`static Mechanism` | `CDMF_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_CBC_PAD)`
`static Mechanism` | `CDMF_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_ECB)`
`static Mechanism` | `CDMF_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_KEY_GEN)`
`static Mechanism` | `CDMF_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_MAC)`
`static Mechanism` | `CDMF_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_MAC_GENERAL)`
`static Mechanism` | `CONCATENATE_BASE_AND_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_BASE_AND_DATA)`
`static Mechanism` | `CONCATENATE_BASE_AND_KEY` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_BASE_AND_KEY)`
`static Mechanism` | `CONCATENATE_DATA_AND_BASE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_DATA_AND_BASE)`
`static Mechanism` | `DES_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC)`
`static Mechanism` | `DES_CBC_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC_ENCRYPT_DATA)`
`static Mechanism` | `DES_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC_PAD)`
`static Mechanism` | `DES_CFB64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CFB64)`
`static Mechanism` | `DES_CFB8` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CFB8)`
`static Mechanism` | `DES_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_ECB)`
`static Mechanism` | `DES_ECB_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_ECB_ENCRYPT_DATA)`
`static Mechanism` | `DES_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_KEY_GEN)`
`static Mechanism` | `DES_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_MAC)`
`static Mechanism` | `DES_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_MAC_GENERAL)`
`static Mechanism` | `DES_OFB64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_OFB64)`
`static Mechanism` | `DES_OFB8` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_OFB8)`
`static Mechanism` | `DES2_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES2_KEY_GEN)`
`static Mechanism` | `DES3_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC)`
`static Mechanism` | `DES3_CBC_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC_ENCRYPT_DATA)`
`static Mechanism` | `DES3_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC_PAD)`
`static Mechanism` | `DES3_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_ECB)`
`static Mechanism` | `DES3_ECB_ENCRYPT_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_ECB_ENCRYPT_DATA)`
`static Mechanism` | `DES3_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_KEY_GEN)`
`static Mechanism` | `DES3_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_MAC)`
`static Mechanism` | `DES3_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_MAC_GENERAL)`
`static Mechanism` | `DH_PKCS_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_DERIVE)`
`static Mechanism` | `DH_PKCS_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_KEY_PAIR_GEN)`
`static Mechanism` | `DH_PKCS_PARAMETER_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_PARAMETER_GEN)`
`static Mechanism` | `DSA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA)`
`static Mechanism` | `DSA_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_KEY_PAIR_GEN)`
`static Mechanism` | `DSA_PARAMETER_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_PARAMETER_GEN)`
`static Mechanism` | `DSA_SHA1` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_SHA1)`
`static Mechanism` | `EC_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_EC_KEY_PAIR_GEN)`
`static Mechanism` | `ECDH1_COFACTOR_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDH1_COFACTOR_DERIVE)`
`static Mechanism` | `ECDH1_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDH1_DERIVE)`
`static Mechanism` | `ECDSA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA)`
`static Mechanism` | `ECDSA_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA_KEY_PAIR_GEN)`
`static Mechanism` | `ECDSA_SHA1` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA_SHA1)`
`static Mechanism` | `ECMQV_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECMQV_DERIVE)`
`static Mechanism` | `EXTRACT_KEY_FROM_KEY` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_EXTRACT_KEY_FROM_KEY)`
`static Mechanism` | `FASTHASH` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_FASTHASH)`
`static Mechanism` | `FORTEZZA_TIMESTAMP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_FORTEZZA_TIMESTAMP)`
`static Mechanism` | `GENERIC_SECRET_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_GENERIC_SECRET_KEY_GEN)`
`static Mechanism` | `IDEA_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_CBC)`
`static Mechanism` | `IDEA_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_CBC_PAD)`
`static Mechanism` | `IDEA_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_ECB)`
`static Mechanism` | `IDEA_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_KEY_GEN)`
`static Mechanism` | `IDEA_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_MAC)`
`static Mechanism` | `IDEA_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_MAC_GENERAL)`
`static Mechanism` | `JUNIPER_CBC128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_CBC128)`
`static Mechanism` | `JUNIPER_COUNTER` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_COUNTER)`
`static Mechanism` | `JUNIPER_ECB128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_ECB128)`
`static Mechanism` | `JUNIPER_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_KEY_GEN)`
`static Mechanism` | `JUNIPER_SHUFFLE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_SHUFFLE)`
`static Mechanism` | `JUNIPER_WRAP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_WRAP)`
`static Mechanism` | `KEA_KEY_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEA_KEY_DERIVE)`
`static Mechanism` | `KEA_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEA_KEY_PAIR_GEN)`
`static Mechanism` | `KEY_WRAP_LYNKS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEY_WRAP_LYNKS)`
`static Mechanism` | `KEY_WRAP_SET_OAEP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEY_WRAP_SET_OAEP)`
`static Mechanism` | `MD2` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2)`
`static Mechanism` | `MD2_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_HMAC)`
`static Mechanism` | `MD2_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_HMAC_GENERAL)`
`static Mechanism` | `MD2_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_KEY_DERIVATION)`
`static Mechanism` | `MD2_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_RSA_PKCS)`
`static Mechanism` | `MD5` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5)`
`static Mechanism` | `MD5_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_HMAC)`
`static Mechanism` | `MD5_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_HMAC_GENERAL)`
`static Mechanism` | `MD5_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_KEY_DERIVATION)`
`static Mechanism` | `MD5_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_RSA_PKCS)`
`protected Parameters` | `parameters_` The parameters of the mechanism.
`static Mechanism` | `PBA_SHA1_WITH_SHA1_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBA_SHA1_WITH_SHA1_HMAC)`
`static Mechanism` | `PBE_MD2_DES_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD2_DES_CBC)`
`static Mechanism` | `PBE_MD5_CAST_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST_CBC)`
`static Mechanism` | `PBE_MD5_CAST128_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST128_CBC)`
`static Mechanism` | `PBE_MD5_CAST3_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST3_CBC)`
`static Mechanism` | `PBE_MD5_CAST5_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST5_CBC)`
`static Mechanism` | `PBE_MD5_DES_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_DES_CBC)`
`static Mechanism` | `PBE_SHA1_CAST128_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_CAST128_CBC)`
`static Mechanism` | `PBE_SHA1_CAST5_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_CAST5_CBC)`
`static Mechanism` | `PBE_SHA1_DES2_EDE_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_DES2_EDE_CBC)`
`static Mechanism` | `PBE_SHA1_DES3_EDE_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_DES3_EDE_CBC)`
`static Mechanism` | `PBE_SHA1_RC2_128_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC2_128_CBC)`
`static Mechanism` | `PBE_SHA1_RC2_40_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC2_40_CBC)`
`static Mechanism` | `PBE_SHA1_RC4_128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC4_128)`
`static Mechanism` | `PBE_SHA1_RC4_40` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC4_40)`
`protected long` | `pkcs11MechanismCode_` The code of the machanism as defined in PKCS11Constants (or pkcs11t.h likewise).
`static Mechanism` | `PKCS5_PBKD2` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PKCS5_PBKD2)`
`static Mechanism` | `RC2_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_CBC)`
`static Mechanism` | `RC2_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_CBC_PAD)`
`static Mechanism` | `RC2_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_ECB)`
`static Mechanism` | `RC2_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_KEY_GEN)`
`static Mechanism` | `RC2_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_MAC)`
`static Mechanism` | `RC2_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_MAC_GENERAL)`
`static Mechanism` | `RC4` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC4)`
`static Mechanism` | `RC4_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC4_KEY_GEN)`
`static Mechanism` | `RC5_CBC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_CBC)`
`static Mechanism` | `RC5_CBC_PAD` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_CBC_PAD)`
`static Mechanism` | `RC5_ECB` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_ECB)`
`static Mechanism` | `RC5_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_KEY_GEN)`
`static Mechanism` | `RC5_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_MAC)`
`static Mechanism` | `RC5_MAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_MAC_GENERAL)`
`static Mechanism` | `RIPEMD128` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128)`
`static Mechanism` | `RIPEMD128_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_HMAC)`
`static Mechanism` | `RIPEMD128_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_HMAC_GENERAL)`
`static Mechanism` | `RIPEMD128_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_RSA_PKCS)`
`static Mechanism` | `RIPEMD160` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160)`
`static Mechanism` | `RIPEMD160_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_HMAC)`
`static Mechanism` | `RIPEMD160_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_HMAC_GENERAL)`
`static Mechanism` | `RIPEMD160_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_RSA_PKCS)`
`static Mechanism` | `RSA_9796` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_9796)`
`static Mechanism` | `RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS)`
`static Mechanism` | `RSA_PKCS_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_KEY_PAIR_GEN)`
`static Mechanism` | `RSA_PKCS_OAEP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_OAEP)`
`static Mechanism` | `RSA_PKCS_PSS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_PSS)`
`static Mechanism` | `RSA_X_509` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X_509)`
`static Mechanism` | `RSA_X9_31` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X9_31)`
`static Mechanism` | `RSA_X9_31_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X9_31_KEY_PAIR_GEN)`
`static Mechanism` | `SHA_1` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1)`
`static Mechanism` | `SHA_1_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1_HMAC)`
`static Mechanism` | `SHA_1_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1_HMAC_GENERAL)`
`static Mechanism` | `SHA1_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_KEY_DERIVATION)`
`static Mechanism` | `SHA1_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_PKCS)`
`static Mechanism` | `SHA1_RSA_PKCS_PSS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_PKCS_PSS)`
`static Mechanism` | `SHA1_RSA_X9_31` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_X9_31)`
`static Mechanism` | `SHA256` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256)`
`static Mechanism` | `SHA256_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_HMAC)`
`static Mechanism` | `SHA256_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_HMAC_GENERAL)`
`static Mechanism` | `SHA256_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_KEY_DERIVATION)`
`static Mechanism` | `SHA256_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_RSA_PKCS)`
`static Mechanism` | `SHA256_RSA_PKCS_PSS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_RSA_PKCS_PSS)`
`static Mechanism` | `SHA384` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384)`
`static Mechanism` | `SHA384_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_HMAC)`
`static Mechanism` | `SHA384_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_HMAC_GENERAL)`
`static Mechanism` | `SHA384_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_KEY_DERIVATION)`
`static Mechanism` | `SHA384_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_RSA_PKCS)`
`static Mechanism` | `SHA384_RSA_PKCS_PSS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_RSA_PKCS_PSS)`
`static Mechanism` | `SHA512` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512)`
`static Mechanism` | `SHA512_HMAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_HMAC)`
`static Mechanism` | `SHA512_HMAC_GENERAL` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_HMAC_GENERAL)`
`static Mechanism` | `SHA512_KEY_DERIVATION` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_KEY_DERIVATION)`
`static Mechanism` | `SHA512_RSA_PKCS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_RSA_PKCS)`
`static Mechanism` | `SHA512_RSA_PKCS_PSS` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_RSA_PKCS_PSS)`
`static Mechanism` | `SKIPJACK_CBC64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CBC64)`
`static Mechanism` | `SKIPJACK_CFB16` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB16)`
`static Mechanism` | `SKIPJACK_CFB32` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB32)`
`static Mechanism` | `SKIPJACK_CFB64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB64)`
`static Mechanism` | `SKIPJACK_CFB8` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB8)`
`static Mechanism` | `SKIPJACK_ECB64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_ECB64)`
`static Mechanism` | `SKIPJACK_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_KEY_GEN)`
`static Mechanism` | `SKIPJACK_OFB64` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_OFB64)`
`static Mechanism` | `SKIPJACK_PRIVATE_WRAP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_PRIVATE_WRAP)`
`static Mechanism` | `SKIPJACK_RELAYX` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_RELAYX)`
`static Mechanism` | `SKIPJACK_WRAP` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_WRAP)`
`static Mechanism` | `SSL3_KEY_AND_MAC_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_KEY_AND_MAC_DERIVE)`
`static Mechanism` | `SSL3_MASTER_KEY_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MASTER_KEY_DERIVE)`
`static Mechanism` | `SSL3_MASTER_KEY_DERIVE_DH` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MASTER_KEY_DERIVE_DH)`
`static Mechanism` | `SSL3_MD5_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MD5_MAC)`
`static Mechanism` | `SSL3_PRE_MASTER_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_PRE_MASTER_KEY_GEN)`
`static Mechanism` | `SSL3_SHA1_MAC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_SHA1_MAC)`
`static Mechanism` | `TLS_KEY_AND_MAC_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_KEY_AND_MAC_DERIVE)`
`static Mechanism` | `TLS_MASTER_KEY_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_MASTER_KEY_DERIVE)`
`static Mechanism` | `TLS_MASTER_KEY_DERIVE_DH` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_MASTER_KEY_DERIVE_DH)`
`static Mechanism` | `TLS_PRE_MASTER_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_PRE_MASTER_KEY_GEN)`
`static Mechanism` | `TLS_PRF` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_PRF)`
`static Mechanism` | `VENDOR_DEFINED` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_VENDOR_DEFINED)`
`static Mechanism` | `WTLS_CLIENT_KEY_AND_MAC_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE)`
`static Mechanism` | `WTLS_MASTER_KEY_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_MASTER_KEY_DERIVE)`
`static Mechanism` | `WTLS_MASTER_KEY_DERIVE_DH_ECC` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC)`
`static Mechanism` | `WTLS_PRE_MASTER_KEY_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_PRE_MASTER_KEY_GEN)`
`static Mechanism` | `WTLS_PRF` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_PRF)`
`static Mechanism` | `WTLS_SERVER_KEY_AND_MAC_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE)`
`static Mechanism` | `X9_42_DH_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_DERIVE)`
`static Mechanism` | `X9_42_DH_HYBRID_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_HYBRID_DERIVE)`
`static Mechanism` | `X9_42_DH_KEY_PAIR_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_KEY_PAIR_GEN)`
`static Mechanism` | `X9_42_DH_PARAMETER_GEN` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_PARAMETER_GEN)`
`static Mechanism` | `X9_42_MQV_DERIVE` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_MQV_DERIVE)`
`static Mechanism` | `XOR_BASE_AND_DATA` Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_XOR_BASE_AND_DATA)`

Constructor Summary
`Mechanism(long pkcs11MechanismCode)` Constructor taking just the mechansim code as defined in PKCS11Constants.

Method Summary
`java.lang.Object` | `clone()` Makes a clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Override equals to check for the equality of mechanism code and parameter.
`static Mechanism` | `get(long pkcs11MechanismCode)` Gets the mechanism specified by the given mechanism code.
`long` | `getMechanismCode()` Get the code of this mechanism as defined in PKCS11Constants (of pkcs11t.h likewise).
`java.lang.String` | `getName()` Get the name of this mechanism.
`Parameters` | `getParameters()` Get the parameters object of this mechanism.
`int` | `hashCode()` Override hashCode to ensure that hashtable still works after overriding equals.
`boolean` | `isDigestMechanism()` This method checks, if this mechanism is a digest mechanism.
`boolean` | `isFullEncryptDecryptMechanism()` This method checks, if this mechanism is a full encrypt/decrypt mechanism; i.e.
`boolean` | `isFullSignVerifyMechanism()` This method checks, if this mechanism is a full sign/verify mechanism; i.e.
`boolean` | `isKeyDerivationMechanism()` This method checks, if this mechanism is a key derivation mechanism.
`boolean` | `isKeyGenerationMechanism()` This method checks, if this mechanism is a key generation mechanism for generating symmetric keys.
`boolean` | `isKeyPairGenerationMechanism()` This method checks, if this mechanism is a key-pair generation mechanism for generating key-pairs.
`boolean` | `isSignVerifyRecoverMechanism()` This method checks, if this mechanism is a sign/verify mechanism with message recovery.
`boolean` | `isSingleOperationEncryptDecryptMechanism()` This method checks, if this mechanism is a single-operation encrypt/decrypt mechanism; i.e.
`boolean` | `isSingleOperationSignVerifyMechanism()` This method checks, if this mechanism is a single-operation sign/verify mechanism; i.e.
`boolean` | `isWrapUnwrapMechanism()` This method checks, if this mechanism is a wrap/unwrap mechanism; i.e.
`void` | `setParameters(Parameters parameters)` Set the parameters for this mechanism.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RSA_PKCS_KEY_PAIR_GEN

    public static final Mechanism RSA_PKCS_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_KEY_PAIR_GEN)`

### RSA_PKCS

    public static final Mechanism RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS)`

### RSA_9796

    public static final Mechanism RSA_9796

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_9796)`

### RSA_X_509

    public static final Mechanism RSA_X_509

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X_509)`

### MD2_RSA_PKCS

    public static final Mechanism MD2_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_RSA_PKCS)`

### MD5_RSA_PKCS

    public static final Mechanism MD5_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_RSA_PKCS)`

### SHA1_RSA_PKCS

    public static final Mechanism SHA1_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_PKCS)`

### RIPEMD128_RSA_PKCS

    public static final Mechanism RIPEMD128_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_RSA_PKCS)`

### RIPEMD160_RSA_PKCS

    public static final Mechanism RIPEMD160_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_RSA_PKCS)`

### SHA256_RSA_PKCS

    public static final Mechanism SHA256_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_RSA_PKCS)`

### SHA384_RSA_PKCS

    public static final Mechanism SHA384_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_RSA_PKCS)`

### SHA512_RSA_PKCS

    public static final Mechanism SHA512_RSA_PKCS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_RSA_PKCS)`

### RSA_PKCS_OAEP

    public static final Mechanism RSA_PKCS_OAEP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_OAEP)`

### RSA_X9_31_KEY_PAIR_GEN

    public static final Mechanism RSA_X9_31_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X9_31_KEY_PAIR_GEN)`

### RSA_X9_31

    public static final Mechanism RSA_X9_31

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_X9_31)`

### SHA1_RSA_X9_31

    public static final Mechanism SHA1_RSA_X9_31

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_X9_31)`

### RSA_PKCS_PSS

    public static final Mechanism RSA_PKCS_PSS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RSA_PKCS_PSS)`

### SHA1_RSA_PKCS_PSS

    public static final Mechanism SHA1_RSA_PKCS_PSS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_RSA_PKCS_PSS)`

### SHA256_RSA_PKCS_PSS

    public static final Mechanism SHA256_RSA_PKCS_PSS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_RSA_PKCS_PSS)`

### SHA384_RSA_PKCS_PSS

    public static final Mechanism SHA384_RSA_PKCS_PSS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_RSA_PKCS_PSS)`

### SHA512_RSA_PKCS_PSS

    public static final Mechanism SHA512_RSA_PKCS_PSS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_RSA_PKCS_PSS)`

### DSA_KEY_PAIR_GEN

    public static final Mechanism DSA_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_KEY_PAIR_GEN)`

### DSA

    public static final Mechanism DSA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA)`

### DSA_SHA1

    public static final Mechanism DSA_SHA1

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_SHA1)`

### DH_PKCS_KEY_PAIR_GEN

    public static final Mechanism DH_PKCS_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_KEY_PAIR_GEN)`

### DH_PKCS_DERIVE

    public static final Mechanism DH_PKCS_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_DERIVE)`

### X9_42_DH_KEY_PAIR_GEN

    public static final Mechanism X9_42_DH_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_KEY_PAIR_GEN)`

### X9_42_DH_DERIVE

    public static final Mechanism X9_42_DH_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_DERIVE)`

### X9_42_DH_HYBRID_DERIVE

    public static final Mechanism X9_42_DH_HYBRID_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_HYBRID_DERIVE)`

### X9_42_MQV_DERIVE

    public static final Mechanism X9_42_MQV_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_MQV_DERIVE)`

### RC2_KEY_GEN

    public static final Mechanism RC2_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_KEY_GEN)`

### RC2_ECB

    public static final Mechanism RC2_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_ECB)`

### RC2_CBC

    public static final Mechanism RC2_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_CBC)`

### RC2_MAC

    public static final Mechanism RC2_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_MAC)`

### RC2_MAC_GENERAL

    public static final Mechanism RC2_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_MAC_GENERAL)`

### RC2_CBC_PAD

    public static final Mechanism RC2_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC2_CBC_PAD)`

### RC4_KEY_GEN

    public static final Mechanism RC4_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC4_KEY_GEN)`

### RC4

    public static final Mechanism RC4

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC4)`

### DES_KEY_GEN

    public static final Mechanism DES_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_KEY_GEN)`

### DES_ECB

    public static final Mechanism DES_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_ECB)`

### DES_CBC

    public static final Mechanism DES_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC)`

### DES_MAC

    public static final Mechanism DES_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_MAC)`

### DES_MAC_GENERAL

    public static final Mechanism DES_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_MAC_GENERAL)`

### DES_CBC_PAD

    public static final Mechanism DES_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC_PAD)`

### DES_OFB64

    public static final Mechanism DES_OFB64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_OFB64)`

### DES_OFB8

    public static final Mechanism DES_OFB8

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_OFB8)`

### DES_CFB64

    public static final Mechanism DES_CFB64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CFB64)`

### DES_CFB8

    public static final Mechanism DES_CFB8

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CFB8)`

### DES2_KEY_GEN

    public static final Mechanism DES2_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES2_KEY_GEN)`

### DES3_KEY_GEN

    public static final Mechanism DES3_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_KEY_GEN)`

### DES3_ECB

    public static final Mechanism DES3_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_ECB)`

### DES3_CBC

    public static final Mechanism DES3_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC)`

### DES3_MAC

    public static final Mechanism DES3_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_MAC)`

### DES3_MAC_GENERAL

    public static final Mechanism DES3_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_MAC_GENERAL)`

### DES3_CBC_PAD

    public static final Mechanism DES3_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC_PAD)`

### CDMF_KEY_GEN

    public static final Mechanism CDMF_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_KEY_GEN)`

### CDMF_ECB

    public static final Mechanism CDMF_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_ECB)`

### CDMF_CBC

    public static final Mechanism CDMF_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_CBC)`

### CDMF_MAC

    public static final Mechanism CDMF_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_MAC)`

### CDMF_MAC_GENERAL

    public static final Mechanism CDMF_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_MAC_GENERAL)`

### CDMF_CBC_PAD

    public static final Mechanism CDMF_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CDMF_CBC_PAD)`

### MD2

    public static final Mechanism MD2

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2)`

### MD2_HMAC

    public static final Mechanism MD2_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_HMAC)`

### MD2_HMAC_GENERAL

    public static final Mechanism MD2_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_HMAC_GENERAL)`

### MD5

    public static final Mechanism MD5

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5)`

### MD5_HMAC

    public static final Mechanism MD5_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_HMAC)`

### MD5_HMAC_GENERAL

    public static final Mechanism MD5_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_HMAC_GENERAL)`

### SHA_1

    public static final Mechanism SHA_1

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1)`

### SHA_1_HMAC

    public static final Mechanism SHA_1_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1_HMAC)`

### SHA_1_HMAC_GENERAL

    public static final Mechanism SHA_1_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA_1_HMAC_GENERAL)`

### SHA256

    public static final Mechanism SHA256

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256)`

### SHA256_HMAC

    public static final Mechanism SHA256_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_HMAC)`

### SHA256_HMAC_GENERAL

    public static final Mechanism SHA256_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_HMAC_GENERAL)`

### SHA384

    public static final Mechanism SHA384

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384)`

### SHA384_HMAC

    public static final Mechanism SHA384_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_HMAC)`

### SHA384_HMAC_GENERAL

    public static final Mechanism SHA384_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_HMAC_GENERAL)`

### SHA512

    public static final Mechanism SHA512

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512)`

### SHA512_HMAC

    public static final Mechanism SHA512_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_HMAC)`

### SHA512_HMAC_GENERAL

    public static final Mechanism SHA512_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_HMAC_GENERAL)`

### RIPEMD128

    public static final Mechanism RIPEMD128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128)`

### RIPEMD128_HMAC

    public static final Mechanism RIPEMD128_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_HMAC)`

### RIPEMD128_HMAC_GENERAL

    public static final Mechanism RIPEMD128_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD128_HMAC_GENERAL)`

### RIPEMD160

    public static final Mechanism RIPEMD160

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160)`

### RIPEMD160_HMAC

    public static final Mechanism RIPEMD160_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_HMAC)`

### RIPEMD160_HMAC_GENERAL

    public static final Mechanism RIPEMD160_HMAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RIPEMD160_HMAC_GENERAL)`

### CAST_KEY_GEN

    public static final Mechanism CAST_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_KEY_GEN)`

### CAST_ECB

    public static final Mechanism CAST_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_ECB)`

### CAST_CBC

    public static final Mechanism CAST_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_CBC)`

### CAST_MAC

    public static final Mechanism CAST_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_MAC)`

### CAST_MAC_GENERAL

    public static final Mechanism CAST_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_MAC_GENERAL)`

### CAST_CBC_PAD

    public static final Mechanism CAST_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST_CBC_PAD)`

### CAST3_KEY_GEN

    public static final Mechanism CAST3_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_KEY_GEN)`

### CAST3_ECB

    public static final Mechanism CAST3_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_ECB)`

### CAST3_CBC

    public static final Mechanism CAST3_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_CBC)`

### CAST3_MAC

    public static final Mechanism CAST3_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_MAC)`

### CAST3_MAC_GENERAL

    public static final Mechanism CAST3_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_MAC_GENERAL)`

### CAST3_CBC_PAD

    public static final Mechanism CAST3_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST3_CBC_PAD)`

### CAST5_KEY_GEN

    public static final Mechanism CAST5_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_KEY_GEN)`

### CAST128_KEY_GEN

    public static final Mechanism CAST128_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_KEY_GEN)`

### CAST5_ECB

    public static final Mechanism CAST5_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_ECB)`

### CAST128_ECB

    public static final Mechanism CAST128_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_ECB)`

### CAST5_CBC

    public static final Mechanism CAST5_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_CBC)`

### CAST128_CBC

    public static final Mechanism CAST128_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_CBC)`

### CAST5_MAC

    public static final Mechanism CAST5_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_MAC)`

### CAST128_MAC

    public static final Mechanism CAST128_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_MAC)`

### CAST5_MAC_GENERAL

    public static final Mechanism CAST5_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_MAC_GENERAL)`

### CAST128_MAC_GENERAL

    public static final Mechanism CAST128_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_MAC_GENERAL)`

### CAST5_CBC_PAD

    public static final Mechanism CAST5_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST5_CBC_PAD)`

### CAST128_CBC_PAD

    public static final Mechanism CAST128_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CAST128_CBC_PAD)`

### RC5_KEY_GEN

    public static final Mechanism RC5_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_KEY_GEN)`

### RC5_ECB

    public static final Mechanism RC5_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_ECB)`

### RC5_CBC

    public static final Mechanism RC5_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_CBC)`

### RC5_MAC

    public static final Mechanism RC5_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_MAC)`

### RC5_MAC_GENERAL

    public static final Mechanism RC5_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_MAC_GENERAL)`

### RC5_CBC_PAD

    public static final Mechanism RC5_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_RC5_CBC_PAD)`

### IDEA_KEY_GEN

    public static final Mechanism IDEA_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_KEY_GEN)`

### IDEA_ECB

    public static final Mechanism IDEA_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_ECB)`

### IDEA_CBC

    public static final Mechanism IDEA_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_CBC)`

### IDEA_MAC

    public static final Mechanism IDEA_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_MAC)`

### IDEA_MAC_GENERAL

    public static final Mechanism IDEA_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_MAC_GENERAL)`

### IDEA_CBC_PAD

    public static final Mechanism IDEA_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_IDEA_CBC_PAD)`

### GENERIC_SECRET_KEY_GEN

    public static final Mechanism GENERIC_SECRET_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_GENERIC_SECRET_KEY_GEN)`

### CONCATENATE_BASE_AND_KEY

    public static final Mechanism CONCATENATE_BASE_AND_KEY

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_BASE_AND_KEY)`

### CONCATENATE_BASE_AND_DATA

    public static final Mechanism CONCATENATE_BASE_AND_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_BASE_AND_DATA)`

### CONCATENATE_DATA_AND_BASE

    public static final Mechanism CONCATENATE_DATA_AND_BASE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_CONCATENATE_DATA_AND_BASE)`

### XOR_BASE_AND_DATA

    public static final Mechanism XOR_BASE_AND_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_XOR_BASE_AND_DATA)`

### EXTRACT_KEY_FROM_KEY

    public static final Mechanism EXTRACT_KEY_FROM_KEY

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_EXTRACT_KEY_FROM_KEY)`

### SSL3_PRE_MASTER_KEY_GEN

    public static final Mechanism SSL3_PRE_MASTER_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_PRE_MASTER_KEY_GEN)`

### SSL3_MASTER_KEY_DERIVE

    public static final Mechanism SSL3_MASTER_KEY_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MASTER_KEY_DERIVE)`

### SSL3_KEY_AND_MAC_DERIVE

    public static final Mechanism SSL3_KEY_AND_MAC_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_KEY_AND_MAC_DERIVE)`

### SSL3_MASTER_KEY_DERIVE_DH

    public static final Mechanism SSL3_MASTER_KEY_DERIVE_DH

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MASTER_KEY_DERIVE_DH)`

### TLS_PRE_MASTER_KEY_GEN

    public static final Mechanism TLS_PRE_MASTER_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_PRE_MASTER_KEY_GEN)`

### TLS_MASTER_KEY_DERIVE

    public static final Mechanism TLS_MASTER_KEY_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_MASTER_KEY_DERIVE)`

### TLS_KEY_AND_MAC_DERIVE

    public static final Mechanism TLS_KEY_AND_MAC_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_KEY_AND_MAC_DERIVE)`

### TLS_MASTER_KEY_DERIVE_DH

    public static final Mechanism TLS_MASTER_KEY_DERIVE_DH

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_MASTER_KEY_DERIVE_DH)`

### TLS_PRF

    public static final Mechanism TLS_PRF

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_TLS_PRF)`

### WTLS_PRE_MASTER_KEY_GEN

    public static final Mechanism WTLS_PRE_MASTER_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_PRE_MASTER_KEY_GEN)`

### WTLS_MASTER_KEY_DERIVE

    public static final Mechanism WTLS_MASTER_KEY_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_MASTER_KEY_DERIVE)`

### WTLS_MASTER_KEY_DERIVE_DH_ECC

    public static final Mechanism WTLS_MASTER_KEY_DERIVE_DH_ECC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_MASTER_KEY_DERIVE_DH_ECC)`

### WTLS_PRF

    public static final Mechanism WTLS_PRF

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_PRF)`

### WTLS_SERVER_KEY_AND_MAC_DERIVE

    public static final Mechanism WTLS_SERVER_KEY_AND_MAC_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_SERVER_KEY_AND_MAC_DERIVE)`

### WTLS_CLIENT_KEY_AND_MAC_DERIVE

    public static final Mechanism WTLS_CLIENT_KEY_AND_MAC_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_WTLS_CLIENT_KEY_AND_MAC_DERIVE)`

### SSL3_MD5_MAC

    public static final Mechanism SSL3_MD5_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_MD5_MAC)`

### SSL3_SHA1_MAC

    public static final Mechanism SSL3_SHA1_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SSL3_SHA1_MAC)`

### MD5_KEY_DERIVATION

    public static final Mechanism MD5_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD5_KEY_DERIVATION)`

### MD2_KEY_DERIVATION

    public static final Mechanism MD2_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_MD2_KEY_DERIVATION)`

### SHA1_KEY_DERIVATION

    public static final Mechanism SHA1_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA1_KEY_DERIVATION)`

### SHA256_KEY_DERIVATION

    public static final Mechanism SHA256_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA256_KEY_DERIVATION)`

### SHA384_KEY_DERIVATION

    public static final Mechanism SHA384_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA384_KEY_DERIVATION)`

### SHA512_KEY_DERIVATION

    public static final Mechanism SHA512_KEY_DERIVATION

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SHA512_KEY_DERIVATION)`

### PBE_MD2_DES_CBC

    public static final Mechanism PBE_MD2_DES_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD2_DES_CBC)`

### PBE_MD5_DES_CBC

    public static final Mechanism PBE_MD5_DES_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_DES_CBC)`

### PBE_MD5_CAST_CBC

    public static final Mechanism PBE_MD5_CAST_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST_CBC)`

### PBE_MD5_CAST3_CBC

    public static final Mechanism PBE_MD5_CAST3_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST3_CBC)`

### PBE_MD5_CAST5_CBC

    public static final Mechanism PBE_MD5_CAST5_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST5_CBC)`

### PBE_MD5_CAST128_CBC

    public static final Mechanism PBE_MD5_CAST128_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_MD5_CAST128_CBC)`

### PBE_SHA1_CAST5_CBC

    public static final Mechanism PBE_SHA1_CAST5_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_CAST5_CBC)`

### PBE_SHA1_CAST128_CBC

    public static final Mechanism PBE_SHA1_CAST128_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_CAST128_CBC)`

### PBE_SHA1_RC4_128

    public static final Mechanism PBE_SHA1_RC4_128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC4_128)`

### PBE_SHA1_RC4_40

    public static final Mechanism PBE_SHA1_RC4_40

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC4_40)`

### PBE_SHA1_DES3_EDE_CBC

    public static final Mechanism PBE_SHA1_DES3_EDE_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_DES3_EDE_CBC)`

### PBE_SHA1_DES2_EDE_CBC

    public static final Mechanism PBE_SHA1_DES2_EDE_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_DES2_EDE_CBC)`

### PBE_SHA1_RC2_128_CBC

    public static final Mechanism PBE_SHA1_RC2_128_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC2_128_CBC)`

### PBE_SHA1_RC2_40_CBC

    public static final Mechanism PBE_SHA1_RC2_40_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBE_SHA1_RC2_40_CBC)`

### PKCS5_PBKD2

    public static final Mechanism PKCS5_PBKD2

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PKCS5_PBKD2)`

### PBA_SHA1_WITH_SHA1_HMAC

    public static final Mechanism PBA_SHA1_WITH_SHA1_HMAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_PBA_SHA1_WITH_SHA1_HMAC)`

### KEY_WRAP_LYNKS

    public static final Mechanism KEY_WRAP_LYNKS

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEY_WRAP_LYNKS)`

### KEY_WRAP_SET_OAEP

    public static final Mechanism KEY_WRAP_SET_OAEP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEY_WRAP_SET_OAEP)`

### SKIPJACK_KEY_GEN

    public static final Mechanism SKIPJACK_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_KEY_GEN)`

### SKIPJACK_ECB64

    public static final Mechanism SKIPJACK_ECB64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_ECB64)`

### SKIPJACK_CBC64

    public static final Mechanism SKIPJACK_CBC64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CBC64)`

### SKIPJACK_OFB64

    public static final Mechanism SKIPJACK_OFB64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_OFB64)`

### SKIPJACK_CFB64

    public static final Mechanism SKIPJACK_CFB64

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB64)`

### SKIPJACK_CFB32

    public static final Mechanism SKIPJACK_CFB32

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB32)`

### SKIPJACK_CFB16

    public static final Mechanism SKIPJACK_CFB16

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB16)`

### SKIPJACK_CFB8

    public static final Mechanism SKIPJACK_CFB8

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_CFB8)`

### SKIPJACK_WRAP

    public static final Mechanism SKIPJACK_WRAP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_WRAP)`

### SKIPJACK_PRIVATE_WRAP

    public static final Mechanism SKIPJACK_PRIVATE_WRAP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_PRIVATE_WRAP)`

### SKIPJACK_RELAYX

    public static final Mechanism SKIPJACK_RELAYX

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_SKIPJACK_RELAYX)`

### KEA_KEY_PAIR_GEN

    public static final Mechanism KEA_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEA_KEY_PAIR_GEN)`

### KEA_KEY_DERIVE

    public static final Mechanism KEA_KEY_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_KEA_KEY_DERIVE)`

### FORTEZZA_TIMESTAMP

    public static final Mechanism FORTEZZA_TIMESTAMP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_FORTEZZA_TIMESTAMP)`

### BATON_KEY_GEN

    public static final Mechanism BATON_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_KEY_GEN)`

### BATON_ECB128

    public static final Mechanism BATON_ECB128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_ECB128)`

### BATON_ECB96

    public static final Mechanism BATON_ECB96

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_ECB96)`

### BATON_CBC128

    public static final Mechanism BATON_CBC128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_CBC128)`

### BATON_COUNTER

    public static final Mechanism BATON_COUNTER

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_COUNTER)`

### BATON_SHUFFLE

    public static final Mechanism BATON_SHUFFLE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_SHUFFLE)`

### BATON_WRAP

    public static final Mechanism BATON_WRAP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BATON_WRAP)`

### ECDSA_KEY_PAIR_GEN

    public static final Mechanism ECDSA_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA_KEY_PAIR_GEN)`

### EC_KEY_PAIR_GEN

    public static final Mechanism EC_KEY_PAIR_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_EC_KEY_PAIR_GEN)`

### ECDSA

    public static final Mechanism ECDSA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA)`

### ECDSA_SHA1

    public static final Mechanism ECDSA_SHA1

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDSA_SHA1)`

### ECDH1_DERIVE

    public static final Mechanism ECDH1_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDH1_DERIVE)`

### ECDH1_COFACTOR_DERIVE

    public static final Mechanism ECDH1_COFACTOR_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECDH1_COFACTOR_DERIVE)`

### ECMQV_DERIVE

    public static final Mechanism ECMQV_DERIVE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_ECMQV_DERIVE)`

### JUNIPER_KEY_GEN

    public static final Mechanism JUNIPER_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_KEY_GEN)`

### JUNIPER_ECB128

    public static final Mechanism JUNIPER_ECB128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_ECB128)`

### JUNIPER_CBC128

    public static final Mechanism JUNIPER_CBC128

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_CBC128)`

### JUNIPER_COUNTER

    public static final Mechanism JUNIPER_COUNTER

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_COUNTER)`

### JUNIPER_SHUFFLE

    public static final Mechanism JUNIPER_SHUFFLE

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_SHUFFLE)`

### JUNIPER_WRAP

    public static final Mechanism JUNIPER_WRAP

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_JUNIPER_WRAP)`

### FASTHASH

    public static final Mechanism FASTHASH

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_FASTHASH)`

### AES_KEY_GEN

    public static final Mechanism AES_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_KEY_GEN)`

### AES_ECB

    public static final Mechanism AES_ECB

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_ECB)`

### AES_CBC

    public static final Mechanism AES_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC)`

### AES_MAC

    public static final Mechanism AES_MAC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_MAC)`

### AES_MAC_GENERAL

    public static final Mechanism AES_MAC_GENERAL

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_MAC_GENERAL)`

### AES_CBC_PAD

    public static final Mechanism AES_CBC_PAD

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC_PAD)`

### BLOWFISH_KEY_GEN

    public static final Mechanism BLOWFISH_KEY_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BLOWFISH_KEY_GEN)`

### BLOWFISH_CBC

    public static final Mechanism BLOWFISH_CBC

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_BLOWFISH_CBC)`

### DSA_PARAMETER_GEN

    public static final Mechanism DSA_PARAMETER_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DSA_PARAMETER_GEN)`

### DH_PKCS_PARAMETER_GEN

    public static final Mechanism DH_PKCS_PARAMETER_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DH_PKCS_PARAMETER_GEN)`

### X9_42_DH_PARAMETER_GEN

    public static final Mechanism X9_42_DH_PARAMETER_GEN

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_X9_42_DH_PARAMETER_GEN)`

### DES_ECB_ENCRYPT_DATA

    public static final Mechanism DES_ECB_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_ECB_ENCRYPT_DATA)`

### DES_CBC_ENCRYPT_DATA

    public static final Mechanism DES_CBC_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES_CBC_ENCRYPT_DATA)`

### DES3_ECB_ENCRYPT_DATA

    public static final Mechanism DES3_ECB_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_ECB_ENCRYPT_DATA)`

### DES3_CBC_ENCRYPT_DATA

    public static final Mechanism DES3_CBC_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_DES3_CBC_ENCRYPT_DATA)`

### AES_ECB_ENCRYPT_DATA

    public static final Mechanism AES_ECB_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_ECB_ENCRYPT_DATA)`

### AES_CBC_ENCRYPT_DATA

    public static final Mechanism AES_CBC_ENCRYPT_DATA

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_AES_CBC_ENCRYPT_DATA)`

### VENDOR_DEFINED

    public static final Mechanism VENDOR_DEFINED

  Deprecated. use static `get(long)` instead: `Mechanism.get(PKCS11Constants.CKM_VENDOR_DEFINED)`

### pkcs11MechanismCode_

    protected long pkcs11MechanismCode_

  The code of the machanism as defined in PKCS11Constants (or pkcs11t.h likewise).

### parameters_

    protected Parameters parameters_

  The parameters of the mechanism. Not all mechanisms use these parameters.

Constructor Detail

### Mechanism

    public Mechanism(long pkcs11MechanismCode)

  Constructor taking just the mechansim code as defined in PKCS11Constants.
  Parameters:
    `pkcs11MechanismCode` - The mechanism code.

Method Detail

### get

    public static Mechanism get(long pkcs11MechanismCode)

  Gets the mechanism specified by the given mechanism code. Helper `PKCS11Constants` is available.
  Parameters:
    `pkcs11MechanismCode` - the pkcs11 mechanism code
  Returns:
    the mechanism

### clone

    public java.lang.Object clone()

  Makes a clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A shallow clone of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Override equals to check for the equality of mechanism code and parameter.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other Mechanism object.
  Returns:
    True, if other is an instance of this class and pkcs11MechanismCode_ and parameter_ of both objects are equal.

### hashCode

    public int hashCode()

  Override hashCode to ensure that hashtable still works after overriding equals.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object. Taken from the mechanism code.

### isDigestMechanism

    public boolean isDigestMechanism()

  This method checks, if this mechanism is a digest mechanism. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the digest functions.
  Returns:
    True, if this mechanism is a digest mechanism. False, otherwise.

### isFullEncryptDecryptMechanism

    public boolean isFullEncryptDecryptMechanism()

  This method checks, if this mechanism is a full encrypt/decrypt mechanism; i.e. it supports the encryptUpdate() and decryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the encrypt and decrypt functions including encryptUpdate and decryptUpdate.
  Returns:
    True, if this mechanism is a full encrypt/decrypt mechanism. False, otherwise.

### isFullSignVerifyMechanism

    public boolean isFullSignVerifyMechanism()

  This method checks, if this mechanism is a full sign/verify mechanism; i.e. it supports the signUpdate() and verifyUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the sign and verify functions including signUpdate and verifyUpdate.
  Returns:
    True, if th??????s mechanism is a full sign/verify mechanism. False, otherwise.

### isKeyDerivationMechanism

    public boolean isKeyDerivationMechanism()

  This method checks, if this mechanism is a key derivation mechanism. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the deriveKey function.
  Returns:
    True, if this mechanism is a key derivation mechanism. False, otherwise.

### isKeyGenerationMechanism

    public boolean isKeyGenerationMechanism()

  This method checks, if this mechanism is a key generation mechanism for generating symmetric keys. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the generateKey function.
  Returns:
    True, if this mechanism is a key generation mechanism. False, otherwise.

### isKeyPairGenerationMechanism

    public boolean isKeyPairGenerationMechanism()

  This method checks, if this mechanism is a key-pair generation mechanism for generating key-pairs. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the generateKeyPair function.
  Returns:
    True, if this mechanism is a key-pair generation mechanism. False, otherwise.

### isSignVerifyRecoverMechanism

    public boolean isSignVerifyRecoverMechanism()

  This method checks, if this mechanism is a sign/verify mechanism with message recovery. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the signRecover and verifyRecover functions.
  Returns:
    True, if this mechanism is a sign/verify mechanism with message recovery. False, otherwise.

### isSingleOperationEncryptDecryptMechanism

    public boolean isSingleOperationEncryptDecryptMechanism()

  This method checks, if this mechanism is a single-operation encrypt/decrypt mechanism; i.e. it does not support the encryptUpdate() and decryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the encrypt and decrypt functions excluding encryptUpdate and decryptUpdate.
  Returns:
    True, if this mechanism is a single-operation encrypt/decrypt mechanism. False, otherwise.

### isSingleOperationSignVerifyMechanism

    public boolean isSingleOperationSignVerifyMechanism()

  This method checks, if this mechanism is a single-operation sign/verify mechanism; i.e. it does not support the signUpdate() and encryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the sign and verify functions excluding signUpdate and encryptUpdate.
  Returns:
    True, if this mechanism is a single-operation sign/verify mechanism. False, otherwise.

### isWrapUnwrapMechanism

    public boolean isWrapUnwrapMechanism()

  This method checks, if this mechanism is a wrap/unwrap mechanism; i.e. it supports the wrapKey() and unwrapKey() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the wrapKey and unwrapKey functions.
  Returns:
    True, if this mechanism is a wrap/unwrap mechanism. False, otherwise.

### getParameters

    public Parameters getParameters()

  Get the parameters object of this mechanism.
  Returns:
    The parameters of this mechansim. May be null.

### setParameters

    public void setParameters(Parameters parameters)

  Set the parameters for this mechanism.
  Parameters:
    `parameters` - The mechanism parameters to set.

### getMechanismCode

    public long getMechanismCode()

  Get the code of this mechanism as defined in PKCS11Constants (of pkcs11t.h likewise).
  Returns:
    The code of this mechnism.

### getName

    public java.lang.String getName()

  Get the name of this mechanism.
  Returns:
    The name of this mechnism.

### toString

    public java.lang.String toString()

  Returns the string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18